Module | Chef::Mixin::Language
In: | lib/chef/mixin/language.rb

### Methods

data_bag data_bag_item platform? search value_for_platform

### Classes and Modules

Class Chef::Mixin::Language::PlatformDependentValue

### Public Instance methods

data_bag(bag)
data_bag_item(bag, item)
platform?(*args)

Given a list of platforms, returns true if the current recipe is being run on a node with that platform, false otherwise.

### Parameters

args: | A list of platforms

### Returns

true: | If the current platform is in the list
false: | If the current platform is not in the list

search(*args, &block)
value_for_platform(platform_hash)

Given a hash similar to the one we use for Platforms, select a value from the hash. Supports per platform defaults, along with a single base default. Arrays may be passed as hash keys and will be expanded.

### Parameters

platform_hash: | A platform-style hash.

### Returns

value: | Whatever the most specific value of the hash is.

[Validate]